3.3. Deprecated Packages

The packages listed in this section are considered deprecated as of Red Hat Enterprise Linux 7. These packages still work, and remain supported, but Red Hat no longer recommends their use.

Table 3.2. Package deprecations

Functionality/Package
Alternative
Migration Notes
ext2 file system support
ext3, ext4
ext4 can be used for ext2 and ext3 file systems.
sblim-sfcb
tog-pegasus
 
Legacy RHN Hosted registration
subscription-manager and Subscription Asset Manager
 
acpid
systemd
 
evolution-mapi
evolution-ews
Please migrate from Microsoft Exchange Server 2003 machines
gtkhtml3
webkitgtk3
 
sendmail
postfix
 
edac-utils and mcelog
rasdaemon
 
libcgroup
systemd
cgutils will continue to exist in Red Hat Enterprise Linux 7.0 but systemd is evolving capabilities to enable customers to migrate in later releases
lvm1
lvm2
 
lvm2mirror and cmirror
lvm2 raid1